unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Clipbrd, Buttons, ToolWin, ComCtrls, ExtDlgs, StdCtrls,
  Spin, Math;

type
  TForm2 = class(TForm)
    Image1: TImage;
    ToolBar1: TToolBar;
    Save: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SavePictureDialog1: TSavePictureDialog;
    Label1: TLabel;
    Horiz: TUpDown;
    Vertic: TUpDown;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    Memo1: TMemo;
    StatusBar1: TStatusBar;
    SpinEdit1: TSpinEdit;
    procedure FormResize(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SaveClick(Sender: TObject);
    procedure VerticClick(Sender: TObject; Button: TUDBtnType);
    procedure RadioButton2Click(Sender: TObject);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure SpinEdit1Change(Sender: TObject);
    procedure Langue();
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form2: TForm2;

implementation

uses Unit1;

{$R *.dfm}


procedure TForm2.Langue();
begin
Form2.Save.hint:=lang.lines[24];
Form2.SpeedButton2.hint:=lang.lines[25];
Form2.Vertic.hint:=lang.lines[26];
Form2.Horiz.hint:=lang.lines[27];
Form2.SpinEdit1.hint:=lang.lines[28];
Form2.RadioButton2.caption:=lang.lines[30];
Form2.RadioButton1.caption:=lang.lines[31];
Form2.Memo1.clear;
Form2.Memo1.lines.add(lang.lines[29]);
end;

procedure TForm2.FormResize(Sender: TObject);
begin
image1.width:=width-40;
image1.height:=height-80;
tree.draw(image1)
end;


procedure TForm2.FormActivate(Sender: TObject);
begin
//tree.draw(image1);
Langue();
end;

procedure TForm2.SpeedButton2Click(Sender: TObject);
begin
Clipboard.assign(image1.picture)
end;

procedure TForm2.SaveClick(Sender: TObject);
begin
if SavePictureDialog1.execute then
   image1.picture.savetofile(savepicturedialog1.name);
end;

procedure TForm2.VerticClick(Sender: TObject; Button: TUDBtnType);
begin
tree.draw(image1);
end;

procedure TForm2.RadioButton2Click(Sender: TObject);
begin
tree.draw(image1);
if radiobutton1.checked then
Vertic.position:=80
else
vertic.position:=40;
tree.draw(image1);
end;

procedure TForm2.Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
newx,newy,a,b:real;
langle,nombre,importance,max,min,i,level:integer;
tempNode:phyloNode;
begin
a:=(image1.width-2*form2.horiz.position)/(tree.xmax-tree.xmin);
b:=(image1.height-2*form2.vertic.position)/(tree.ymax-tree.ymin);

tempNode:=Form1.closestPoint(image1,(tree.root),X,Y);
StatusBar1.SimpleText:=tempNode.name;

end;

procedure TForm2.SpinEdit1Change(Sender: TObject);
begin
tree.angle:=SpinEdit1.value*Pi/180;
tree.sortLeaves(0);
tree.computedrawing;
tree.draw(image1);
end;

end.
